%define oname wxGTK
%define majorminor	2.6
%define name		%{oname}%majorminor
%define version 2.6.4
%define	major		%majorminor
%define release %mkrel 13

%define	libname %mklibname wxgtk %{major}
%define	libnamedev %mklibname -d wxgtk %{major}
%define libgl	%mklibname wxgtkgl %{major}

%define	libnameu %mklibname wxgtku %{major}
%define	libnameudev %mklibname -d wxgtku %{major}
%define libglu	%mklibname wxgtkglu %{major}
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary:	GTK+ port of the wxWidgets library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.wxwindows.org
# http://wxwindows.sourceforge.net/snapshots/wx-cvs-20030817.tar.bz2
Source:		http://prdownloads.sourceforge.net/wxwindows/%oname-%version.tar.bz2
# gw fix from Ubuntu
Patch:		wxgtk-2.6-new-gslice.patch
Patch1:         wxGTK-2.5.2-locale_to_utf8.patch
Patch2:		wxGTK-2.5.3-gcc3.4.patch
Patch8:		wxGTK-2.6.4-multiarch-includes.patch
Buildrequires:	libpng-devel
Buildrequires:	zlib-devel
Buildrequires:	libgnomeprintui-devel
Buildrequires:	libSDL-devel
Buildrequires:	libjpeg-devel
Buildrequires:	bison, flex
Buildrequires:	libtiff-devel
BuildRequires:  libmesaglu-devel
BuildRequires:  cppunit-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts: wxGTK2.5 wxGTK
Conflicts: %mklibname wx_base2.4_ 0

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %libname
Group:		System/Libraries
Summary: 	Base shared library part of wxGTK
Requires:	%name >= %version

%description -n %libname
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libnamedev}
Summary:	Header files and development documentation for wxGTK
Group:		Development/C++
Requires:	%{libname} = %version
Requires:	%{libgl} = %version
Provides:	wxGTK-devel = %version-%release
Provides:	wxGTK%{majorminor}-devel = %version-%release
Provides:	libwxgtk%majorminor-devel = %version-%release
Provides:	libwxgtk-devel = %version-%release
Conflicts:	wxGTK6-devel wxGTK2.2-devel wxGTK2.3_1-devel
Conflicts:	libwxBase0-devel
Conflicts:	%{mklibname wxgtk 2.4}-devel
Conflicts:	%{mklibname wxgtk 2.5_3}-devel
Conflicts:	%{mklibname wxGTK2ud 1}-devel

%description -n %{libnamedev}
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%package  -n %{libgl}
Summary:	GTK+ port of the wxWidgets library, OpenGl add-on
Group:		System/Libraries
Provides:	wxGTK-gl = %version-%release
Provides:	wxGTK%{majorminor}-gl = %version-%release

%description -n %{libgl}
OpenGl add-on library for wxGTK, the GTK+ port of the wxWidgets library.

%package -n %libnameu
Group:		System/Libraries
Summary: 	Base shared library part of wxGTK - Unicode enabled
Requires:	%name >= %version

%description -n %libnameu
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with the unicode enabled version of %{name}.

%package -n %{libnameudev}
Summary:	Header files and development documentation for wxGTK - unicode
Group:		Development/C++
Requires:	%{libnameu} = %version
Requires:	%{libglu} = %version
Provides:	libwxgtku-devel = %version-%release
Provides:	wxgtku%{majorminor}-devel = %version-%release
Provides:	wxgtku-devel = %version-%release
Conflicts:	%libname-devel < %version-%release
Conflicts:	%libname-devel > %version-%release
Conflicts:	%mklibname wxgtk 2.4 -d
Conflicts:	%mklibname wxgtk 2.5_3 -d
Conflicts:	%mklibname wxGTK2ud 1 -d

%description -n %{libnameudev}
Header files for the unicode enabled version of wxGTK, the GTK+ port of
the wxWidgets library.

%package  -n %{libglu}
Summary:	GTK+ port of the wxWidgets library, OpenGl add-on - unicode
Group:		System/Libraries

%description -n %{libglu}
OpenGl add-on library for the unicode enabled version of wxGTK, the
GTK+ port of the wxWidgets library.

%prep
%setup -q -n %oname-%version -a 0
%patch -p1
%patch1 -p1
%patch2 -p1 -b .gcc3.4
%patch8 -p1 -b .multiarch-includes
cd %oname-%version
%patch -p1
%patch2 -p1
%patch8 -p1

%build
export LDFLAGS=-L%_prefix/X11R6/%_lib
%configure2_5x \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 --with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
	--with-sdl \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--enable-optimise \
	\
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-msgdlg \
	--enable-dirdlg \
	--enable-numberdlg \
	--enable-splash \
	--enable-textdlg

%make
cd contrib
%make
cd ..
find samples -name .cvsignore -exec rm {} \;

cd %oname-%version
%configure2_5x --enable-unicode \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 --with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
	--with-sdl \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--enable-optimise \
	\
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-msgdlg \
	--enable-dirdlg \
	--enable-numberdlg \
	--enable-splash \
	--enable-textdlg
%make
cd contrib
%make

%install
rm -rf %buildroot wxstd.lang wxmsw.lang
%makeinstall
%find_lang wxstd
%find_lang wxmsw
cat wxmsw.lang >> wxstd.lang
cd contrib
%makeinstall
cd ..
mv %buildroot%_bindir/wxrc-%{majorminor} %buildroot%_bindir/wxrc-%{majorminor}-ansi
rm -f %buildroot%_bindir/wxrc
###
cd %oname-%version
%makeinstall
cd contrib
%makeinstall
mv %buildroot%_bindir/wxrc-%{majorminor} %buildroot%_bindir/wxrc-%{majorminor}-unicode
###
#gw fix broken symlink
rm -f %buildroot%_bindir/{wx-config,wxrc}
ln -sf %_libdir/wx/config/gtk2-ansi-release-%{majorminor} %buildroot%_bindir/wx-config-ansi
ln -sf %_libdir/wx/config/gtk2-unicode-release-%{majorminor} %buildroot%_bindir/wx-config-unicode


%if %mdkversion >= 1020
# multiarch devel
%multiarch_binaries $RPM_BUILD_ROOT%{_libdir}/wx/config/gtk2-{ansi,unicode}-release-%{majorminor}
#gw this breaks /usr/bin/wx-config
mkdir %buildroot%multiarch_bindir
ln -s %{_libdir}/wx/config/%multiarch_platform/gtk2-ansi-release-%{majorminor} %buildroot%multiarch_bindir/wx-config-ansi
ln -s %{_libdir}/wx/config/%multiarch_platform/gtk2-unicode-release-%{majorminor} %buildroot%multiarch_bindir/wx-config-unicode
%multiarch_includes $RPM_BUILD_ROOT%{_libdir}/wx/include/gtk2-{ansi,unicode}-release-%{majorminor}/wx/setup.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/wx-%{majorminor}/wx/defs.h
%endif

%clean
rm -rf %buildroot

%post   -n %{libname}	-p /sbin/ldconfig
%postun -n %{libname}	-p /sbin/ldconfig
%post   -n %{libgl}	-p /sbin/ldconfig
%postun -n %{libgl}	-p /sbin/ldconfig

%post   -n %{libnameu}	-p /sbin/ldconfig
%postun -n %{libnameu}	-p /sbin/ldconfig
%post   -n %{libglu}	-p /sbin/ldconfig
%postun -n %{libglu}	-p /sbin/ldconfig

%post -n %libnamedev
update-alternatives --install %{_bindir}/wx-config wx-config %{_libdir}/wx/config/gtk2-ansi-release-%{majorminor} 20 --slave %_bindir/wxrc wxrc %_bindir/wxrc-%{majorminor}-ansi
%postun -n %libnamedev
if [ "$1" = "0" ]; then
  update-alternatives --remove wx-config %{_libdir}/wx/config/gtk2-ansi-release-%{majorminor} 
fi

%post -n %libnameudev
update-alternatives --install %{_bindir}/wx-config wx-config %{_libdir}/wx/config/gtk2-unicode-release-%{majorminor} 15 --slave %_bindir/wxrc wxrc %_bindir/wxrc-%{majorminor}-unicode
%postun -n %libnameudev
if [ "$1" = "0" ]; then
  update-alternatives --remove wx-config %{_libdir}/wx/config/gtk2-unicode-release-%{majorminor} 
fi

%files -f wxstd.lang
%defattr(-,root,root,-)
%doc *.txt

%files -n %libname
%defattr(-,root,root,-)
%_libdir/libwx_gtk2_adv-%{majorminor}.so.*
%_libdir/libwx_gtk2_core-%{majorminor}.so.*
%_libdir/libwx_gtk2_html-%{majorminor}.so.*
%_libdir/libwx_base-%majorminor.so.*
%_libdir/libwx_base_net-%majorminor.so.*
%_libdir/libwx_base_xml-%majorminor.so.*
# contribs
%_libdir/libwx_gtk2_animate-%{majorminor}.so.*
%_libdir/libwx_gtk2_deprecated-%{majorminor}.so.*
%_libdir/libwx_gtk2_fl-%{majorminor}.so.*
%_libdir/libwx_gtk2_gizmos-%{majorminor}.so.*
%_libdir/libwx_gtk2_gizmos_xrc-%{majorminor}.so.*
%_libdir/libwx_gtk2_media-%{majorminor}.so.*
%_libdir/libwx_gtk2_mmedia-%{majorminor}.so.*
%_libdir/libwx_gtk2_ogl-%{majorminor}.so.*
%_libdir/libwx_gtk2_plot-%{majorminor}.so.*
%_libdir/libwx_gtk2_qa-%{majorminor}.so.*
%_libdir/libwx_gtk2_stc-%{majorminor}.so.*
%_libdir/libwx_gtk2_svg-%{majorminor}.so.*
%_libdir/libwx_gtk2_xrc-%{majorminor}.so.*

%files -n %libnameu
%defattr(-,root,root,-)
%_libdir/libwx_gtk2u_adv-%{majorminor}.so.*
%_libdir/libwx_gtk2u_core-%{majorminor}.so.*
%_libdir/libwx_gtk2u_html-%{majorminor}.so.*
%_libdir/libwx_baseu-%majorminor.so.*
%_libdir/libwx_baseu_net-%majorminor.so.*
%_libdir/libwx_baseu_xml-%majorminor.so.*
# contribs
%_libdir/libwx_gtk2u_animate-%{majorminor}.so.*
%_libdir/libwx_gtk2u_deprecated-%{majorminor}.so.*
%_libdir/libwx_gtk2u_fl-%{majorminor}.so.*
%_libdir/libwx_gtk2u_gizmos-%{majorminor}.so.*
%_libdir/libwx_gtk2u_gizmos_xrc-%{majorminor}.so.*
%_libdir/libwx_gtk2u_media-%{majorminor}.so.*
%_libdir/libwx_gtk2u_mmedia-%{majorminor}.so.*
%_libdir/libwx_gtk2u_ogl-%{majorminor}.so.*
%_libdir/libwx_gtk2u_plot-%{majorminor}.so.*
%_libdir/libwx_gtk2u_qa-%{majorminor}.so.*
%_libdir/libwx_gtk2u_stc-%{majorminor}.so.*
%_libdir/libwx_gtk2u_svg-%{majorminor}.so.*
%_libdir/libwx_gtk2u_xrc-%{majorminor}.so.*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/wx-config-ansi
%{_bindir}/wxrc-*ansi
%if %mdkversion >= 1020
%{multiarch_bindir}/wx-config-ansi
%endif
%{_includedir}/wx-%{majorminor}/
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/
%dir %{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/wx/
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2-ansi-release-%{majorminor}
%{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/wx/setup.h
%_libdir/libwx_gtk2_adv-%{majorminor}.so
%_libdir/libwx_gtk2_core-%{majorminor}.so
%_libdir/libwx_gtk2_html-%{majorminor}.so
%_libdir/libwx_base-%majorminor.so
%_libdir/libwx_base_net-%majorminor.so
%_libdir/libwx_base_xml-%majorminor.so
# contribs
%_libdir/libwx_gtk2_animate-%{majorminor}.so
%_libdir/libwx_gtk2_deprecated-%{majorminor}.so
%_libdir/libwx_gtk2_fl-%{majorminor}.so
%_libdir/libwx_gtk2_gizmos-%{majorminor}.so
%_libdir/libwx_gtk2_gizmos_xrc-%{majorminor}.so
%_libdir/libwx_gtk2_media-%{majorminor}.so
%_libdir/libwx_gtk2_mmedia-%{majorminor}.so
%_libdir/libwx_gtk2_ogl-%{majorminor}.so
%_libdir/libwx_gtk2_plot-%{majorminor}.so
%_libdir/libwx_gtk2_qa-%{majorminor}.so
%_libdir/libwx_gtk2_stc-%{majorminor}.so
%_libdir/libwx_gtk2_svg-%{majorminor}.so
%_libdir/libwx_gtk2_xrc-%{majorminor}.so
#gl
%_libdir/libwx_gtk2_gl-%{majorminor}.so
%_datadir/aclocal/*
%_datadir/bakefile/
%if %mdkversion >= 1020
%multiarch %{_libdir}/wx/config/multiarch-*/gtk2-ansi-release-%{majorminor}
%multiarch %{_libdir}/wx/include/multiarch-*/gtk2-ansi-release-%{majorminor}
%multiarch %{_includedir}/multiarch-*/wx-%{majorminor}/wx/defs.h
%endif

%files -n %{libnameudev}
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/wx-config-unicode
%{_bindir}/wxrc-*unicode
%if %mdkversion >= 1020
%{multiarch_bindir}/wx-config-unicode
%endif
%{_includedir}/wx-%{majorminor}/
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk2-unicode-release-%{majorminor}/
%dir %{_libdir}/wx/include/gtk2-unicode-release-%{majorminor}/wx/
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2-unicode-release-%{majorminor}
%{_libdir}/wx/include/gtk2-unicode-release-%{majorminor}/wx/setup.h
%_libdir/libwx_gtk2u_adv-%{majorminor}.so
%_libdir/libwx_gtk2u_core-%{majorminor}.so
%_libdir/libwx_gtk2u_html-%{majorminor}.so
%_libdir/libwx_baseu-%majorminor.so
%_libdir/libwx_baseu_net-%majorminor.so
%_libdir/libwx_baseu_xml-%majorminor.so
# contribs
%_libdir/libwx_gtk2u_animate-%{majorminor}.so
%_libdir/libwx_gtk2u_deprecated-%{majorminor}.so
%_libdir/libwx_gtk2u_fl-%{majorminor}.so
%_libdir/libwx_gtk2u_gizmos-%{majorminor}.so
%_libdir/libwx_gtk2u_gizmos_xrc-%{majorminor}.so
%_libdir/libwx_gtk2u_media-%{majorminor}.so
%_libdir/libwx_gtk2u_mmedia-%{majorminor}.so
%_libdir/libwx_gtk2u_ogl-%{majorminor}.so
%_libdir/libwx_gtk2u_plot-%{majorminor}.so
%_libdir/libwx_gtk2u_qa-%{majorminor}.so
%_libdir/libwx_gtk2u_stc-%{majorminor}.so
%_libdir/libwx_gtk2u_svg-%{majorminor}.so
%_libdir/libwx_gtk2u_xrc-%{majorminor}.so
#gl
%_libdir/libwx_gtk2u_gl-%{majorminor}.so
%_datadir/aclocal/*
%_datadir/bakefile/
%if %mdkversion >= 1020
%multiarch %{_libdir}/wx/config/multiarch-*/gtk2-unicode-release-%{majorminor}
%multiarch %{_libdir}/wx/include/multiarch-*/gtk2-unicode-release-%{majorminor}
%multiarch %{_includedir}/multiarch-*/wx-%{majorminor}/wx/defs.h
%endif

%files -n %{libgl}
%defattr(-,root,root,-)
%{_libdir}/libwx_gtk2_gl-%majorminor.so.*

%files -n %{libglu}
%defattr(-,root,root,-)
%{_libdir}/libwx_gtk2u_gl-%majorminor.so.*


%changelog
* Tue Sep 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-13mdv2008.0
+ Revision: 89513
- bump release due to missing wxGTK2.6 packages...

* Thu Aug 02 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-12mdv2008.0
+ Revision: 58270
- bump release due to missing wxGTK2.6-2.6.4-11mdv2008.0.src.rpm

* Sat Jun 30 2007 Pascal Terjan <pterjan@mandriva.org> 2.6.4-11mdv2008.0
+ Revision: 46170
- Apply P0 to the u version too

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 2.6.4-10mdv2008.0
+ Revision: 44738
- fix for new gslice

* Thu Apr 19 2007 Götz Waschk <waschk@mandriva.org> 2.6.4-9mdv2008.0
+ Revision: 15071
- bump release and try to build it again

* Thu Apr 19 2007 Götz Waschk <waschk@mandriva.org> 2.6.4-8mdv2008.0
+ Revision: 14949
- fix typo in patch 3


* Thu Mar 22 2007 Götz Waschk <waschk@mandriva.org> 2.6.4-8mdv2007.1
+ Revision: 147918
- new version
- rediff patch 8
- fix installation

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 2.6.3-8mdv2006.0
+ Revision: 64567
- Import wxGTK2.6

* Sat Oct 14 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3-8mdv2007.1
- unpack patches
- provide wxgtku2.6-devel

* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3-7mdv2007.0
- add another conflict

* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 2.6.3-6mdv2007.0
- rebuild again for libpng

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3-5mdv2007.0
- add even more conflicts

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.6.3-1mdv2007.0
- rebuild for png

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3-3mdv2007.0
- add more conflicts
- fix buildrequires

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.3-2mdv2007.0
- fix deps

* Fri Mar 31 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3-1mdk
- drop patch 3
- New release 2.6.3

* Thu Oct 20 2005 Gtz Waschk <waschk@mandriva.org> 2.6.2-2mdk
- fix crash in the unicode version

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 2.6.2-1mdk
- update file list
- New release 2.6.2

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 2.6.0-4mdk
- backport support

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 2.6.0-3mdk
- fix devel provides (neoclust)

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 2.6.0-2mdk
- fix buildrequires
- add unicode build

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 2.6.0-1mdk
- update buildrequires
- enable sdl
- rediff patch 8
- drop patches 3,4,5,6,7,9
- New release 2.6.0

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.5.3-6mdk
- Patch9: fix configure check for va_copy

* Mon Feb 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.5.3-5mdk
- fix wx-config script for the multiarch mess

* Fri Feb 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.5.3-4mdk
- fix multiarch config mess

* Mon Jan 31 2005 Pascal Terjan <pterjan@mandrake.org> 2.5.3-3mdk
- Add multiarch devel support

* Fri Jan 07 2005 Pascal Terjan <pterjan@mandrake.org> 2.5.3-2mdk
- MDKSA-2005:002

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.3-1mdk
- fix file list
- new major
- rediff patches 1,2
- drop patch 0
- New release 2.5.3

* Fri Jul 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.1-5mdk
- lib64 fix
- fix devel package group

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.1-4mdk
- patch for new g++

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.1-3mdk
- fix compatibility with gtk+ 2.4

* Fri Apr 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.1-2mdk
- don't provide wxGTK2.5 in the library package

* Fri Apr 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.1-1mdk
- fix name in the description
- add docs
- fix configure call
- use parallel make
- fix buildrequires
- add contribs
- fix major
- drop unused patch
- fix url
- new version

